<?php

namespace Drupal\content_calendar\Plugin;

use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;

/**
 * Provides the CalendarFilterPluginManager plugin manager.
 */
class CalendarFilterPluginManager extends DefaultPluginManager {

  protected $settings;

  /**
   * Constructor for CalendarFilterWidgetPluginManager objects.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \Drupal\Core\Cache\CacheBackendInterface $cache_backend
   *   Cache backend instance to use.
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The module handler to invoke the alter hook with.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/CalendarFilter', $namespaces, $module_handler,
                        'Drupal\content_calendar\Plugin\CalendarFilterPluginInterface',
                        'Drupal\content_calendar\Annotation\CalendarFilterPlugin');

    $this->alterInfo('content_calendar_filter_plugin_info');
    $this->setCacheBackend($cache_backend, 'content_calendar_filter_plugins');
  }

}
