<?php

namespace Drupal\content_calendar\Plugin\CalendarFilterWidget;

use Drupal\content_calendar\Plugin\CalendarFilterWidgetPluginBase;

/**
 * Checkboxes widget for calendar filter.
 *
 * @CalendarFilterWidgetPlugin(
 *   id = "checkboxes",
 *   label = @Translation("Checkboxes with AND"),
 * )
 */
class CheckboxesFilterWidget extends CalendarFilterWidgetPluginBase {

  /**
   * {@inheritdoc}
   */
  public function build(array $settings) {
    $build = $this->buildFilterForm($this->t("@label", ["@label" => $settings['label']]), $settings['query_key']);
    $active_filter = $this->currentRequest()->query->get($settings['query_key']);
    if ($active_filter) {
      $active_filter = explode(",", $active_filter);
    }
    else {
      $active_filter = [];
    }

    $build_key = "";
    if ($settings['id'] == "taxonomy") {
      $build_key = $settings['vid'] . "_term_value";
    }
    else {
      $build_key = $settings['id'];
    }

    asort($settings['options']);

    $build['filter'][$build_key] = [
      '#type' => 'checkboxes',
      '#options' => $settings['options'],
      '#default_value' => $active_filter,
      '#ajax' => [
        'callback' => [$this, 'applyFilterAjaxCallback'],
        'event' => 'change',
      ],
    ];

    return $build;
  }

}
