<?php

namespace Drupal\content_calendar\Plugin\CalendarFilterWidget;

use Drupal\content_calendar\Plugin\CalendarFilterWidgetPluginBase;

/**
 * Textfield widget for calendar filter.
 *
 * @CalendarFilterWidgetPlugin(
 *   id = "textfield",
 *   label = @Translation("Textfield"),
 * )
 */
class TextfieldFilterWidget extends CalendarFilterWidgetPluginBase {

  /**
   * {@inheritdoc}
   */
  public function build(array $settings) {
    $build = $this->buildFilterForm($this->t("@label", ["@label" => $settings['label']]), $settings['query_key']);
    $active_filter = $this->currentRequest()->query->get($settings['query_key']);

    $build['filter'][$settings['id']] = [
      '#type' => 'textfield',
      '#default_value' => $active_filter,
      '#ajax' => [
        'callback' => [$this, 'applyFilterAjaxCallback'],
        'event' => 'change',
      ],
    ];

    return $build;
  }

}
