<?php

namespace Drupal\content_planner\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a dashboard type annotation.
 *
 * @see \Drupal\content_planner\DashboardTypePluginManager
 * @see plugin_api
 *
 * @Annotation
 */
class DashboardType extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The label.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * The canonical route.
   *
   * @var string
   */
  public $canonical_route;

  /**
   * The base route.
   *
   * @var string
   */
  public $base_route;

  /**
   * The base route parameters.
   *
   * @var array
   */
  public $base_route_parameters;

  /**
   * The entity type.
   *
   * @var string|null
   */
  public $entity_type;

}
