<?php

namespace Drupal\content_planner;

/**
 * Provides an interface defining a crop type entity.
 */
interface DashboardTypeLocalManagerInterface {

  /**
   * Get top level local tasks for a specific route.
   *
   * @param string $route_name
   *   The route name.
   *
   * @return array
   *   Array of local tasks.
   */
  public function buildMainLocalTasksForDashboardRoute(string $route_name): array;

  /**
   * Get second level local tasks for a specific route.
   *
   * @param string $route_name
   *   The route name.
   *
   * @return array
   *   Array of local tasks.
   */
  public function buildSecondLocalTasksForDashboardRoute(string $route_name): array;

}
